
use strict;
use warnings;
use Module::Build;

my $builder = Module::Build->new(
    dist_name           => 'LDFM',
    license             => 'perl',
    dist_name           => 'LD-FM',
    dist_version_from   => 'lib/LDFM/MainController.pm',
    requires            => {
        'perl' => '5.8.3',
        'Gtk2' => '1.1.0',
        'Gtk2::GladeXML::Simple' => 0,
        'Gtk2::Ex::Simple::List' => 0,
        'Readonly' => 0,
    },
    build_requires      => {
        'Test::More' => 0,
    },
    script_files        => [ 'scripts/ldfm' ],
    add_to_cleanup      => [ 'LDFM-*' ],
    create_packlist     => 1,
);

$builder->create_build_script();
